;
var seeDetail = new Vue({
    el:'#seeDetail',
    data:{
        shopID:'',
        userInfo:{},
        order:{},
        orderList:[],
        payShopRecord:[]
    },
    methods:{
        seeshopDetails:function () {
        var _this=this;
            SupplierApi.shopOrderDetails({shopOrderId:_this.shopID},function (res) {//列表初始化
            if(res.code==0){
                _this.order = res.data.shopOrder
                _this.userInfo = res.data.shopOrder.userInfo;
                _this.orderList =res.data.shopOrder.orderProductList;
                _this.payShopRecord = res.data.payShopRecord;
                // if(res.data.payShopRecord==''){
                // _this.payflag = false;
                //  _this.payShopRecord = [];
                // }else {
                // _this.payflag = true;
                //  _this.payShopRecord = res.data.payShopRecord;
                // }
            }
         })
        },
    },
    mounted:function () {
       var _self = this;
        _self.shopID=CAIMEI.getUrlParam('shopOrderID');
        _self.seeshopDetails();

        if(isPC){
            _self.open=true;
        }
    },
})
